﻿
 EXEC P_ALTERPK 'PK_BAL_CHECK_REPAIR', 'T_BAL_CHECK_REPAIR', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BAL_CR_NO') CREATE INDEX IDX_BAL_CR_NO ON T_BAL_CHECK_REPAIR ( FTASKNO );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BAL_CR_CT') CREATE INDEX IDX_BAL_CR_CT ON T_BAL_CHECK_REPAIR ( FCREATEDATE );
  
 EXEC P_ALTERPK 'PK_BAL_CHECK_REPAIR_TASK', 'T_BAL_CHECK_REPAIR_TASK', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BAL_CRT_NO') CREATE INDEX IDX_BAL_CRT_NO ON T_BAL_CHECK_REPAIR_TASK ( FTASKNO );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BAL_CRT_CT') CREATE INDEX IDX_BAL_CRT_CT ON T_BAL_CHECK_REPAIR_TASK ( FCREATEDATE );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BAL_CRT_PTID') CREATE INDEX IDX_BAL_CRT_PTID ON T_BAL_CHECK_REPAIR_TASK ( FPARENTTASKID );

 EXEC P_ALTERPK 'PK_BAL_SPARSE_SEQ', 'T_BAL_SPARSE_SEQ', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BAL_SEQ_ATB') CREATE UNIQUE INDEX IDX_BAL_SEQ_ATB ON T_BAL_SPARSE_SEQ ( FACTUALTB );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BAL_SEQ_MT') CREATE INDEX IDX_BAL_SEQ_MT ON T_BAL_SPARSE_SEQ ( FMODIFYDATE );

 EXEC P_ALTERPK 'PK_BAL_CHECK_REPAIR_MARK', 'T_BAL_CHECK_REPAIR_MARK', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BAL_CRMK_KEY') CREATE UNIQUE INDEX IDX_BAL_CRMK_KEY ON T_BAL_CHECK_REPAIR_MARK ( FPOINTKEY );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BAL_CRMK_MT') CREATE INDEX IDX_BAL_CRMK_MT ON T_BAL_CHECK_REPAIR_MARK ( FMODIFYDATE );

 
 EXEC P_ALTERPK 'PK_BAL_CHECK_REPAIR_ST', 'T_BAL_CHECK_REPAIR_ST', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BAL_CRST_BAL') CREATE UNIQUE INDEX IDX_BAL_CRST_BAL ON T_BAL_CHECK_REPAIR_ST ( FBAL );
 
  
  
  
 EXEC P_ALTERPK 'PK_BAL_CHECK_REPAIR_ST_E', 'T_BAL_CHECK_REPAIR_ST_E', 'FENTRYID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BAL_CRSTE_RULE') CREATE UNIQUE INDEX IDX_BAL_CRSTE_RULE ON T_BAL_CHECK_REPAIR_ST_E ( FRULE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BAL_CRSTE_FID') CREATE INDEX IDX_BAL_CRSTE_FID ON T_BAL_CHECK_REPAIR_ST_E ( FID );

 
  EXEC P_ALTERPK 'PK_BAL_CFG', 'T_BAL_CFG', 'FID', '1';
     
  EXEC P_ALTERPK 'PK_BAL_AUTO_REPAIR', 'T_BAL_AUTO_REPAIR', 'FID', '1';
  IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BAL_AUTO_BAL') CREATE UNIQUE INDEX IDX_BAL_AUTO_BAL ON T_BAL_AUTO_REPAIR ( FBAL );
 
 