﻿/** 预置余额调度任务 **/

 -- 调度任务
DELETE FROM T_SCH_TASKDEFINE WHERE FID='1HD6A6R5PV3N';
INSERT INTO T_SCH_TASKDEFINE (FID, FCLASSNAME, FNUMBER, FAPPID) VALUES('1HD6A6R5PV3N', 'kd.bos.bal.task.BalClearLog', 'DeleteBalanceLog', 'bos');

DELETE FROM T_SCH_JOB WHERE FID='1HD6JAOUDH=V';
INSERT INTO T_SCH_JOB (FID, FJOBTYPE, FTASKCLASSNAME, FRUNBYUSERID, FNUMBER, FTASKDEFINEID, FSTATUS, FPARAMS, FTIMEOUT, FRUNBYORGID, FRUNBYLANG, FCONCURRENT, FRUNMODE, FSTRATEGY, FRETRYTIME) VALUES('1HD6JAOUDH=V', 'BIZ', 'kd.bos.bal.task.BalClearLog', 0, 'bos_DELETE_BALANCE_LOG_SKDJ_S', '1HD6A6R5PV3N', '1', '{"hold_day":"15"}', 0, 0, ' ', '1', '0', '1', 0);


DELETE FROM T_SCH_TASKDEFINE WHERE FID IN ('2MUZ153TG3G+','2MQAJZAZ7G1O');
INSERT INTO T_SCH_TASKDEFINE (FID, FCLASSNAME, FNUMBER, FAPPID) VALUES('2MUZ153TG3G+', 'kd.bos.bal.task.BalClearInvalidSpData', 'BalClearInvalidSpData', 'bal');
INSERT INTO T_SCH_TASKDEFINE (FID, FCLASSNAME, FNUMBER, FAPPID) VALUES('2MQAJZAZ7G1O', 'kd.bos.bal.task.BalAutoNotifyUpdate', 'BalAutoNotifyUpdate', 'bal');


DELETE FROM T_SCH_TASKDEFINE_L WHERE FID IN ('2MUZ153TG3G+','2MQAJZAZ7G1O');
INSERT INTO T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME) VALUES('2MUZ153TBX6E', '2MUZ153TG3G+', 'zh_CN', '余额清理无效事务');
INSERT INTO T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME) VALUES('2MUZ153TBX6F', '2MUZ153TG3G+', 'zh_TW', '餘額清理無效事務');
INSERT INTO T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME) VALUES('2MQAJZAZ3=4M', '2MQAJZAZ7G1O', 'zh_CN', '余额自动通知更新');
INSERT INTO T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME) VALUES('2MQAJZAZ3=4N', '2MQAJZAZ7G1O', 'zh_TW', '餘額自動通知更新');


 -- 调度作业
DELETE FROM T_SCH_JOB WHERE FID IN ('2MUZ6CXLF=LE','2MQAOXSLM6/G');
INSERT INTO T_SCH_JOB (FID, FJOBTYPE, FTASKCLASSNAME, FRUNBYUSERID, FNUMBER, FTASKDEFINEID, FSTATUS, FPARAMS, FTIMEOUT, FRUNBYORGID, FRUNBYLANG, FCONCURRENT, FRUNMODE, FSTRATEGY, FRETRYTIME, FCANSTOP) VALUES('2MUZ6CXLF=LE', 'BIZ', 'kd.bos.bal.task.BalClearInvalidSpData', 0, 'bal_BalClearInvalidSpData_SKDJ_S', '2MUZ153TG3G+', '1', '{}', 0, 0, ' ', '0', '0', '1', 0, '0');
INSERT INTO T_SCH_JOB (FID, FJOBTYPE, FTASKCLASSNAME, FRUNBYUSERID, FNUMBER, FTASKDEFINEID, FSTATUS, FPARAMS, FTIMEOUT, FRUNBYORGID, FRUNBYLANG, FCONCURRENT, FRUNMODE, FSTRATEGY, FRETRYTIME, FCANSTOP) VALUES('2MQAOXSLM6/G', 'BIZ', 'kd.bos.bal.task.BalAutoNotifyUpdate', 0, 'bal_BalAutoNotifyUpdate_SKDJ_S', '2MQAJZAZ7G1O', '1', '{}', 0, 0, ' ', '0', '0', '1', 0, '0');


DELETE FROM T_SCH_JOB_L WHERE FID IN ('2MUZ6CXLF=LE','2MQAOXSLM6/G');
INSERT INTO T_SCH_JOB_L (FPKID, FID, FLOCALEID, FNAME) VALUES('2MQAOXSLQBYI', '2MQAOXSLM6/G', 'zh_CN', '余额自动通知更新');
INSERT INTO T_SCH_JOB_L (FPKID, FID, FLOCALEID, FNAME) VALUES('2MQAOXSLQBYJ', '2MQAOXSLM6/G', 'zh_TW', '餘額自動通知更新');
INSERT INTO T_SCH_JOB_L (FPKID, FID, FLOCALEID, FNAME) VALUES('2MUZ6CXLB2AV', '2MUZ6CXLF=LE', 'zh_CN', '余额清理无效事务');
INSERT INTO T_SCH_JOB_L (FPKID, FID, FLOCALEID, FNAME) VALUES('2MUZ6CXLB2AW', '2MUZ6CXLF=LE', 'zh_TW', '餘額清理無效事務');


 -- 调度计划
DELETE FROM T_SCH_SCHEDULE WHERE FID IN ('2MQAV26OSSBX','2MUZCL+CFWEZ');

INSERT INTO T_SCH_SCHEDULE (FID, FJOBID, FSTARTTIME, FENDTIME, FPLAN, FNUMBER, FSTATUS, FCYCLENUM, FHOST, FSUN, FSAT, FFRI, FTHUR, FWED, FTUES, FMON, FONE, FTWO, FTHIRTYONE, FTHIRTY, FTWENTYNINE, FTWENTYEIGHT, FTWENTYSEVEN, FTWENTYSIX, FTWENTYFIVE, FTWENTYFOUR, FTWENTYTHREE, FTWENTYTWO, FTWENTYONE, FTWENTY, FNINETEEN, FEIGHTEEN, FSEVENTEEN, FSIXTEEN, FFIFTEEN, FFOURTEEN, FTHIRTEEN, FTWELVE, FELEVEN, FTEN, FNINE, FEIGHT, FSEVEN, FSIX, FFIVE, FFOUR, FTHREE, FNO, FNOWEEK, FJAN, FDEC, FNOV, FOCT, FSEP, FAUG, FJUL, FJUN, FMAY, FAPR, FMAR, FFEB, FBYWEEK, FBYDAYORWEEK, FDESC, FREPEATMODE) VALUES('2MQAV26OSSBX', '2MQAOXSLM6/G', {ts'2022-08-05 00:00:01'}, {ts'2999-08-05 00:00:01'}, '0 0/10 * * * ?', 'bal_BalAutoNotifyUpdate_SKDP_S', '1', 10, '172.19.79.110', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'd', '事件将于2022-08-04 08:56:02起，每10分钟重复。
预计最近十次执行时间：
2022-08-04 09:00:00,
2022-08-04 09:10:00,
2022-08-04 09:20:00,
2022-08-04 09:30:00,
2022-08-04 09:40:00,
2022-08-04 09:50:00,
2022-08-04 10:00:00,
2022-08-04 10:10:00,
2022-08-04 10:20:00,
2022-08-04 10:30:00', 'mi');
INSERT INTO T_SCH_SCHEDULE (FID, FJOBID, FSTARTTIME, FENDTIME, FPLAN, FNUMBER, FSTATUS, FCYCLENUM, FHOST, FSUN, FSAT, FFRI, FTHUR, FWED, FTUES, FMON, FONE, FTWO, FTHIRTYONE, FTHIRTY, FTWENTYNINE, FTWENTYEIGHT, FTWENTYSEVEN, FTWENTYSIX, FTWENTYFIVE, FTWENTYFOUR, FTWENTYTHREE, FTWENTYTWO, FTWENTYONE, FTWENTY, FNINETEEN, FEIGHTEEN, FSEVENTEEN, FSIXTEEN, FFIFTEEN, FFOURTEEN, FTHIRTEEN, FTWELVE, FELEVEN, FTEN, FNINE, FEIGHT, FSEVEN, FSIX, FFIVE, FFOUR, FTHREE, FNO, FNOWEEK, FJAN, FDEC, FNOV, FOCT, FSEP, FAUG, FJUL, FJUN, FMAY, FAPR, FMAR, FFEB, FBYWEEK, FBYDAYORWEEK, FDESC, FREPEATMODE) VALUES('2MUZCL+CFWEZ', '2MUZ6CXLF=LE', {ts'2022-08-05 00:00:01'}, {ts'2999-08-05 00:00:01'}, '0 0/15 * * * ?', 'bal_BalClearInvalidSpData_SKDP_S', '1', 15, '172.19.79.110', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'd', '事件将于2022-08-05 17:00:09起，每15分钟重复。
预计最近十次执行时间：
2022-08-05 17:15:00,
2022-08-05 17:30:00,
2022-08-05 17:45:00,
2022-08-05 18:00:00,
2022-08-05 18:15:00,
2022-08-05 18:30:00,
2022-08-05 18:45:00,
2022-08-05 19:00:00,
2022-08-05 19:15:00,
2022-08-05 19:30:00', 'mi');



DELETE FROM T_SCH_SCHEDULE_L WHERE FID IN ('2MQAV26OSSBX','2MUZCL+CFWEZ');

INSERT INTO T_SCH_SCHEDULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES('2MQAV26OOLEV', '2MQAV26OSSBX', 'zh_CN', '余额自动通知更新');
INSERT INTO T_SCH_SCHEDULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES('2MQAV26OOLEW', '2MQAV26OSSBX', 'zh_TW', '餘額自動通知更新');
INSERT INTO T_SCH_SCHEDULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES('2MUZCL+CBO5D', '2MUZCL+CFWEZ', 'zh_CN', '余额清理无效事务');
INSERT INTO T_SCH_SCHEDULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES('2MUZCL+CBO5E', '2MUZCL+CFWEZ', 'zh_TW', '餘額清理無效事務');


DELETE FROM T_SCH_SCHEDULE_ENTRY WHERE FID IN ('2MQAV26OSSBX','2MUZCL+CFWEZ');
INSERT INTO T_SCH_SCHEDULE_ENTRY (FID, FENTRYID, FSEQ, FJOBNUMBER) VALUES('2MQAV26OSSBX', '2MQAV26OSSBY', 1, '2MQAOXSLM6/G');
INSERT INTO T_SCH_SCHEDULE_ENTRY (FID, FENTRYID, FSEQ, FJOBNUMBER) VALUES('2MUZCL+CFWEZ', '2MUZCL+CFWF+', 1, '2MUZ6CXLF=LE');




/** 预置定时调度任务 **/


