﻿/** 预置定时清除余额更新日志调度任务 **/

 -- 调度任务
DELETE FROM T_SCH_TASKDEFINE WHERE FID='1HD6A6R5PV3N';
INSERT INTO T_SCH_TASKDEFINE (FID, FCLASSNAME, FNUMBER, FAPPID) VALUES('1HD6A6R5PV3N', 'kd.bos.biz.balance.task.DeleteBalanceLogTask', 'DeleteBalanceLog', 'bos');

DELETE FROM T_SCH_TASKDEFINE_L WHERE FID='1HD6A6R5PV3N';
INSERT INTO T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME) VALUES('1HD6A6R9I2XP', '1HD6A6R5PV3N', 'zh_CN', '定期删除余额更新日志');
INSERT INTO T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME) VALUES('1HD6A6R9I2XQ', '1HD6A6R5PV3N', 'zh_TW', '定期刪除餘額更新日誌');

 -- 调度作业
DELETE FROM T_SCH_JOB WHERE FID='1HD6JAOUDH=V';
INSERT INTO T_SCH_JOB (FID, FJOBTYPE, FTASKCLASSNAME, FRUNBYUSERID, FNUMBER, FTASKDEFINEID, FSTATUS, FPARAMS, FTIMEOUT, FRUNBYORGID, FRUNBYLANG, FCONCURRENT, FRUNMODE, FSTRATEGY, FRETRYTIME) VALUES('1HD6JAOUDH=V', 'BIZ', 'kd.bos.biz.balance.task.DeleteBalanceLogTask', 0, 'bos_DELETE_BALANCE_LOG_SKDJ_S', '1HD6A6R5PV3N', '1', '{"hold_day":"15"}', 0, 0, ' ', '1', '0', '1', 0);

DELETE FROM T_SCH_JOBPARAMS WHERE FID='1HD6JAOUDH=V';
INSERT INTO T_SCH_JOBPARAMS (FID, FENTRYID, FSEQ, FPARAMNAME, FPARAMVALUE) VALUES('1HD6JAOUDH=V', '1HD=9Y1KSRZP', 1, 'hold_day', '15');

DELETE FROM T_SCH_JOB_L WHERE FID='1HD6JAOUDH=V';
INSERT INTO T_SCH_JOB_L (FPKID, FID, FLOCALEID, FNAME) VALUES('1HD6JAOU7NPA', '1HD6JAOUDH=V', 'zh_CN', '定期删除余额更新日志');
INSERT INTO T_SCH_JOB_L (FPKID, FID, FLOCALEID, FNAME) VALUES('1HD6JAOU7NPB', '1HD6JAOUDH=V', 'zh_TW', '定期刪除餘額更新日誌');






 -- 调度计划
DELETE FROM T_SCH_SCHEDULE WHERE FID='1HD73CXWHHEZ';
INSERT INTO T_SCH_SCHEDULE (FID, FJOBID, FSTARTTIME, FENDTIME, FPLAN, FNUMBER, FSTATUS, FCYCLENUM, FHOST, FSUN, FSAT, FFRI, FTHUR, FWED, FTUES, FMON, FONE, FTWO, FTHIRTYONE, FTHIRTY, FTWENTYNINE, FTWENTYEIGHT, FTWENTYSEVEN, FTWENTYSIX, FTWENTYFIVE, FTWENTYFOUR, FTWENTYTHREE, FTWENTYTWO, FTWENTYONE, FTWENTY, FNINETEEN, FEIGHTEEN, FSEVENTEEN, FSIXTEEN, FFIFTEEN, FFOURTEEN, FTHIRTEEN, FTWELVE, FELEVEN, FTEN, FNINE, FEIGHT, FSEVEN, FSIX, FFIVE, FFOUR, FTHREE, FNO, FNOWEEK, FJAN, FDEC, FNOV, FOCT, FSEP, FAUG, FJUL, FJUN, FMAY, FAPR, FMAR, FFEB, FBYWEEK, FBYDAYORWEEK, FDESC, FREPEATMODE) VALUES('1HD73CXWHHEZ', ' ',  {ts'2021-03-01 00:00:00'}, {ts'2999-12-31 00:00:00'}, '0 0 0 1 * ?', 'DELETE_BALANCE_LOG', '1', 1, '172.19.105.43', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'd', '事件将于2021-03-01 00:00:00起，
每1月的1日0时重复。
预计最近十次执行时间：
2021-03-01 00:00:00,
2021-04-01 00:00:00,
2021-05-01 00:00:00,
2021-06-01 00:00:00,
2021-07-01 00:00:00,
2021-08-01 00:00:00,
2021-09-01 00:00:00,
2021-10-01 00:00:00,
2021-11-01 00:00:00,
2021-12-01 00:00:00', 'm');

DELETE FROM T_SCH_SCHEDULE_L WHERE FID='1HD73CXWHHEZ';

INSERT INTO T_SCH_SCHEDULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES('1HD73CXWOB0H', '1HD73CXWHHEZ', 'zh_CN', '定期删除余额更新日志');
INSERT INTO T_SCH_SCHEDULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES('1HD73CXWOB0I', '1HD73CXWHHEZ', 'zh_TW', '定期刪除餘額更新日誌');

DELETE FROM T_SCH_SCHEDULE_ENTRY WHERE FID='1HD73CXWHHEZ';
INSERT INTO T_SCH_SCHEDULE_ENTRY (FID, FENTRYID, FSEQ, FJOBNUMBER) VALUES('1HD73CXWHHEZ', '1HD73CXWHHF+', 1, '1HD6JAOUDH=V');



/** 预置定时清除余额更新日志调度任务 **/


